## xserver-xlibre-video-intel 25.0.0

=== meson_options.txt ===
option('sna', type : 'boolean', value : true,
       description : 'Build with SNA support')
option('uxa', type : 'boolean', value : true,
       description : 'Build with UXA support')
option('ums', type : 'boolean', value : true,
       description : 'Build with UMS support')
option('kms', type : 'boolean', value : true,
       description : 'Build with KMS support')
option('dri1', type : 'boolean', value : true,
       description : 'Build DRI1 support')
option('dri2', type : 'boolean', value : true,
       description : 'Build with DRI2 support')
option('dri3', type : 'boolean', value : true,
       description : 'Build with DRI3 support')
option('present', type : 'boolean', value : true,
       description : 'Enable Present support')
option('xvmc', type : 'boolean', value : true,
       description : 'Enable XvMC support')
option('valgrind', type : 'boolean', value : true,
       description : 'Enable valgrindified ioctls for debugging')
option('default-dri', type : 'combo', value : '2', choices : [ '1', '2', '3' ],
       description : 'Select the default maximum DRI level')
option('default-accel', type : 'combo', value : 'sna', choices : [ 'sna', 'uxa', 'none' ],
       description : 'Select the default acceleration method')
option('tools', type : 'boolean', value : true,
       description : 'Enable building and installing the miscellaneous tools')
option('backlight', type : 'boolean', value : true,
       description : 'Enable control of the backlight')
option('backlight-helper', type : 'boolean', value : true,
       description : 'Enable building the backlight helper executable for running X under a normal user')
option('tearfree', type : 'boolean', value : false,
       description : 'Enable use of TearFree by default')
option('use-create2', type : 'boolean', value : false,
       description : 'Enable use of create2 ioctl (experimental)')
option('async-swap', type : 'boolean', value : false,
       description : 'Enable use of asynchronous swaps (experimental)')
option('internal-debug', type : 'combo', value : 'no', choices : [ 'no', 'sync', 'memory', 'pixmap', 'full' ],
       description : 'Enable internal debugging')
option('xorg-module-dir', type: 'string', value: '',
  description: 'Directory to install the driver in [default=from xorg-server pkgconf]')

## xserver-xlibre-video-intel 3.0.0.2

=== debian/changelog ===
xserver-xlibre-video-intel (2:3.0.0.2-2) unstable; urgency=medium

  * debian/control: Pin versions in Provides fields
  * debian/gbp.conf: Use DEP-14 style branches

 -- apebl <a@pebl.cc>  Mon, 18 Aug 2025 07:13:02 +0000

xserver-xlibre-video-intel (2:3.0.0.2-1) unstable; urgency=low

  * Initial release.

 -- apebl <a@pebl.cc>  Wed, 13 Aug 2025 12:45:00 +0000

=== debian/control ===
Source: xserver-xlibre-video-intel
Section: x11
Priority: optional
Maintainer: apebl <a@pebl.cc>
Build-Depends:
 debhelper-compat (= 13),
 pkg-config,
 xserver-xlibre-dev (>= 2:21.1),
 x11proto-dev,
 libx11-dev,
 libdrm-dev (>= 2.4.23),
 libgl1-mesa-dev | libgl-dev,
 libpciaccess-dev (>= 0.8.0+git20071002),
 libxvmc-dev (>= 2:1.0.12),
 libxext-dev,
 libxfixes-dev,
 libx11-xcb-dev,
 libxcb-util0-dev,
 libxcb-dri2-0-dev,
 libudev-dev [linux-any],
 quilt,
 xutils-dev (>= 1:7.5+4),
 valgrind [amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32],
 libxinerama-dev,
 libxrandr-dev,
 libxdamage-dev,
 libxcursor-dev,
 libxtst-dev,
 libxrender-dev,
 libpixman-1-dev,
 libxss-dev,
 libxcb-present-dev,
 libxcb-dri3-dev,
Standards-Version: 4.6.0
Vcs-Git: https://github.com/xlibre-deb/xserver-xlibre-video-intel.git
Vcs-Browser: https://github.com/xlibre-deb/xserver-xlibre-video-intel
Homepage: https://github.com/X11Libre

Package: xserver-xlibre-video-intel
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${xviddriver:Depends},
Provides:
 xserver-xorg-video-intel (= ${binary:Version}),
 ${xviddriver:Provides}
Description: XLibre X server -- Intel i8xx, i9xx display driver
 This package provides the driver for the Intel i8xx and i9xx family
 of chipsets, including i810, i815, i830, i845, i855, i865, i915, i945
 and i965 series chips.
 .
 This package also provides XvMC (XVideo Motion Compensation) drivers
 for i810/i815 and i9xx and newer chipsets.
 .
 This package is built from the XLibre xf86-video-intel driver module.
 .
 The use of this driver is discouraged if your GPU is new enough (ca.
 2007 and newer). You can try uninstalling this driver and let the
 server use its built-in modesetting driver instead.
Conflicts:
 xserver-xorg-video-intel,

=== debian/rules ===
#!/usr/bin/make -f

SOURCE_NAME    := $(shell dpkg-parsechangelog | awk -F': ' '/^Source: / {print $$2}')
SOURCE_VERSION := $(shell dpkg-parsechangelog | awk -F': ' '/^Version: / {print $$2}')
BUILDER        := $(shell dpkg-parsechangelog | awk -F': ' '/^Maintainer: / {print $$2}')

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

ifeq ($(DEB_HOST_ARCH_OS), linux)
valgrind = --enable-valgrind
else
valgrind = --disable-valgrind
endif

XDEP = $(shell cat /usr/share/xserver-xorg/videodrvdep)
XSUB = debian/xserver-xlibre-video-intel.substvars

# Enable SNA, pass builderstring:
override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-sna \
		--enable-uxa \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib/xserver-xorg-video-intel \
		--with-xorg-module-dir=/usr/lib/xorg/modules \
		--with-builderstring="$(SOURCE_NAME) $(SOURCE_VERSION) ($(BUILDER))" \
		$(valgrind)

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

# Kill *.la files, libxvmc symlinks, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	rm -f debian/tmp/usr/lib/libIntelXvMC.so
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/libIntelXvMC.so.* \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/.
	dh_install

override_dh_missing:
	dh_missing --fail-missing

# Debug package:
override_dh_strip:
	dh_strip

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

override_dh_xsf_substvars:
	echo "xviddriver:Depends=$(XDEP)" >> $(XSUB)
	echo "xviddriver:Provides=xlibre-driver-video" >> $(XSUB)
#	dh_xsf_substvars

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

%:
	dh $@ --with quilt,xsf --builddirectory=build/

# Snapshots should only target experimental:
generate-snapshot: UPSTREAM_VERSION = $(shell echo $(SOURCE_VERSION) | sed 's/^[0-9]*://;s/-.*$$//')
generate-snapshot: UPSTREAM_BRANCH ?= upstream-unstable
generate-snapshot: ORIG             = ../$(SOURCE_NAME)_$(UPSTREAM_VERSION).orig.tar.gz
generate-snapshot:
	if [ -f $(ORIG) ]; then \
	  echo "$(ORIG) already exists, stopping"; exit 1; \
	fi
	git archive --format=tar --prefix=$(SOURCE_NAME)-$(UPSTREAM_VERSION)/ $(UPSTREAM_BRANCH) \
	  | gzip -9 > $(ORIG)
	pristine-tar commit $(ORIG) $(UPSTREAM_BRANCH)

=== debian/watch ===
version=4
https://github.com/X11Libre/xf86-video-intel/tags .*/xlibre-xf86-video-intel-(.*)@ARCHIVE_EXT@

## xserver-xlibre-video-intel 25.0.0

=== debian/changelog ===
xserver-xlibre-video-intel (2:25.0.0-1+genuen6u1) unstable; urgency=medium

  * New upstream version 25.0.0

 -- Aitor <aitor@genuen.org>  Sun, 28 Dec 2025 23:02:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xserver-xlibre-video-intel
 Section: x11
 Priority: optional
-Maintainer: apebl <a@pebl.cc>
+Maintainer: Aitor <aitor@genuen.org>
+Uploaders: apebl <a@pebl.cc>
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
@@ -32,6 +33,7 @@
  libxcb-present-dev,
  libxcb-dri3-dev,
 Standards-Version: 4.6.0
+Origin: Genuen
 Vcs-Git: https://github.com/xlibre-deb/xserver-xlibre-video-intel.git
 Vcs-Browser: https://github.com/xlibre-deb/xserver-xlibre-video-intel
 Homepage: https://github.com/X11Libre
